summaryrefslogtreecommitdiffstats
path: root/antiword
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-11-19 21:11:12 +0000
committer Eric Hameleers <alien@slackware.com>2007-11-19 21:11:12 +0000
commit4b1f7ad473252bf5da64c86c8a6972d78b108d2e (patch)
tree9999dc3053e0bdbff698c8dd1a9339817c2c17e7 /antiword
parentdb44da35ff302cc5db07bf5cdecd2b95127917e6 (diff)
downloadasb-4b1f7ad473252bf5da64c86c8a6972d78b108d2e.tar.gz
asb-4b1f7ad473252bf5da64c86c8a6972d78b108d2e.tar.xz
Initial revision
Diffstat (limited to 'antiword')
-rwxr-xr-xantiword/build/antiword.SlackBuild179
1 files changed, 179 insertions, 0 deletions
diff --git a/antiword/build/antiword.SlackBuild b/antiword/build/antiword.SlackBuild
new file mode 100755
index 00000000..f9cce73d
--- /dev/null
+++ b/antiword/build/antiword.SlackBuild
@@ -0,0 +1,179 @@
+#!/bin/sh
+# Copyright (c) 2006 Eric Hameleers <alien@sox.homeip.net>
+# Distributed under the terms of the GNU General Public License, Version 2
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@sox.homeip.net>
+# For: antiword
+# URL: http://www.winfield.demon.nl/
+# Needs:
+# Changelog:
+# 0.37-1: 12/Jan/2006 by Eric Hameleers <alien@sox.homeip.net>
+# * Initial build.
+#
+# Run 'sh SlackBuild --cleanup' to build a Slackware package.
+# The package (.tgz) plus descriptive .txt file are created in /tmp .
+# Install using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# --- INIT ---
+# Set initial variables:
+CWD=`pwd`
+if [ "$TMP" = "" ]; then
+ TMP=/tmp
+fi
+
+PRGNAM=antiword
+VERSION=0.37
+ARCH=${ARCH:-i486}
+BUILD=1
+
+DOCS="COPYING ChangeLog Emacs Exmh FAQ History Mozilla Mutt \
+ Netscape QandA ReadMe antiword.old.php antiword.php"
+
+SOURCE="${PRGNAM}-${VERSION}.tar.gz"
+SRCURL="http://www.winfield.demon.nl/linux/${PRGNAM}-${VERSION}.tar.gz"
+
+PKG=$TMP/package-$PRGNAM
+
+if [ ! -d $TMP/tmp-$PRGNAM ]; then
+ mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+elif [ "$1" != "--oldbuild" ]; then
+ # If the "--oldbuild" parameter is present, we keep
+ # the old build files and continue;
+ # By default we remove the remnants of previous build and continue:
+ rm -rf $TMP/tmp-$PRGNAM/*
+fi
+
+if [ ! -d $PKG ]; then
+ mkdir -p $PKG # place for the package to be built
+fi
+
+
+# --- SOURCE FILE AVAILABILITY ---
+
+if ! [ -f ${CWD}/${SOURCE} ]; then
+ if ! [ "${SRCURL}" = "" ]; then
+ echo "Source '${SOURCE}' not available yet... will download now:"
+ wget -nv -O "${CWD}/${SOURCE}" "${SRCURL}"
+ if [ $? -ne 0 ]; then
+ echo "Downloading '${SOURCE}' failed... aborting the build."
+ exit 1
+ fi
+ else
+ echo "File '${SOURCE}' not available... aborting the build."
+ exit 1
+ fi
+fi
+if [ "$1" == "--download" ]; then
+ echo "Download complete."
+ exit 0
+fi
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+# We always erase old package's contents:
+rm -rf $PKG/*
+
+cd $PKG
+
+# Explode the package framework:
+if [ -f $CWD/_$PRGNAM.tar.gz ]; then
+ explodepkg $CWD/_$PRGNAM.tar.gz
+fi
+
+cd $TMP/tmp-$PRGNAM
+
+
+# --- TARBALL EXTRACTION,PATCH,MODIFY ---
+
+echo "Extracting the program tarball(s) for $PRGNAM..."
+if `file $CWD/${SOURCE} | grep -q ": bzip2"`; then
+ tar -xjvf $CWD/${SOURCE}
+elif `file $CWD/${SOURCE} | grep -qi ": zip"`; then
+ unzip $CWD/${SOURCE}
+else
+ tar -xzvf $CWD/${SOURCE}
+fi
+cd ${PRGNAM}-${VERSION}
+
+chown -R root.root *
+chmod a+r * Resources/* Docs/*
+find . -perm 777 -exec chmod 755 {} \;
+
+
+# --- BUILDING ---
+
+echo Building ...
+
+make all 2>&1 | tee $CWD/make-${PRGNAM}.log
+
+#
+# Install all the needed stuff to the package dir
+#
+mkdir -p $PKG/usr/bin
+cp -a antiword $PKG/usr/bin/
+chmod 755 $PKG/usr/bin/antiword
+mkdir -p $PKG/usr/share/antiword
+cp -a Resources/* $PKG/usr/share/antiword/
+mkdir -p $PKG/usr/man/man1
+cp Docs/*.1 $PKG/usr/man/man1/
+
+# --- DOCUMENTATION ---
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+(cd Docs
+ cp -a $DOCS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+)
+chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+# Compress the man page(s)
+gzip -9f $PKG/usr/man/*/* 2>/dev/null
+
+# Strip binaries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+
+# --- OWNERSHIP, RIGHTS ---
+
+chmod -R o-w $PKG
+chown root:bin $PKG/usr/bin/*
+
+
+# --- PACKAGE DESCRIPTION ---
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+if [ -f $CWD/doinst.sh ]; then
+ cat $CWD/doinst.sh > $PKG/install/doinst.sh
+fi
+
+
+# --- BUILDING ---
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz \
+ 2>&1 | tee $CWD/makepkg-${PRGNAM}.log
+(cd $TMP && md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5)
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
+
+
+# --- CLEANUP ---
+
+# Clean up the extra stuff:
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $TMP/tmp-$PRGNAM
+ rm -rf $PKG
+fi